<template>
    <div class="card-blog">
        <div class="card-blog__inner">
            <a :href="item_.link">
                <div class="card-blog__image-box" :style="'background-image: url('+ item_.img + ')'">
                    <div class="card-blog__info">
                        <p class="card-blog__info-date">{{ item_.date }}</p>
                    </div>
                    <div class="card-blog__category" v-if="item_.taxonomy">{{ item_.taxonomy.title }}</div>
                </div>
            </a>
            <div class="card-blog__content-box">
                <h3 class="card-blog__title"><a :href="item_.link">{{ item_.title }}</a></h3>
                <p class="card-blog__text">{{ truncate(item_.text, {length: 160}) }}</p>
            </div>
        </div>
    </div>
</template>

<script>
import truncate from "lodash-es/truncate";

export default {
    props: ['item'],
    data() {
        return {
            item_: this.item || _.first(require('@js/samples').default.load('blog'))
        }
    },
    methods: {
        truncate: truncate
    }
}
</script>